# $Revision: 1.15.2.1 $, $Date: 2004/05/09 20:34:39 $
#
# Conditional build:
%bcond_without	dist_kernel	# without distribution kernel
%bcond_with	kernel		# don't build kernel modules
%bcond_without	smp		# don't build SMP module
%bcond_with	verbose		# verbose build (V=1)
%bcond_without	userspace	# don't build userspace tools
#
Summary:	(Secure) SHell FileSystem utilities
Summary(pl):	Narzdzia obsugujce system plikw przez ssh
Name:		shfs
Version:	0.33
%define		_rel	1.1
Release:	%{_rel}
License:	GPL
Group:		Applications/System
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	4a934725cc3a7695b0ddf248736c871a
Patch0:		%{name}-opt.patch
URL:		http://shfs.sourceforge.net/
%if %{with kernel}
%{?with_dist_kernel:BuildRequires:	kernel-module-build}
BuildRequires:	%{kgcc_package}
%endif
BuildRequires:	rpmbuild(macros) >= 1.118
Obsoletes:	shfsmount
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SHFS is a simple and easy to use Linux kernel (2.4) module which
allows you to mount remote filesystems using plain shell (ssh/rsh)
connection. It supports some nice features like number of different
caches for access speedup, target system optimisations, etc.

This package contains utilities for SHFS.

%description -l pl
SHFS to prosty i atwy w uyciu modu jdra Linuksa (2.4) pozwalajcy
montowa zdalne systemy plikw przy uyciu zwykego poczenia ze
zdaln powok (ssh lub rsh). Obsuguje pewne mie cechy, takie jak
rne sposoby buforowania dla przyspieszenia dostpu, optymalizacje
pod ktem zdalnego systemu itp.

Ten pakiet zawiera programy narzdziowe dla SHFS.

%package -n kernel-fs-shfs
Summary:	SHell File System Linux kernel module
Summary(pl):	Modu jdra Linuksa obsugujcy powokowy system plikw
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_up}
Requires(post,postun):	/sbin/depmod
Obsoletes:	kernel-misc-shfs

%description -n kernel-fs-shfs
SHell File System Linux kernel module.

%description -n kernel-fs-shfs -l pl
Modu jdra Linuksa obsugujcy powokowy system plikw.

%package -n kernel-smp-fs-shfs
Summary:	SHell File System Linux SMP kernel module
Summary(pl):	Modu jdra Linuksa SMP obsugujcy powokowy system plikw
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_smp}
Requires(post,postun):	/sbin/depmod
Obsoletes:	kernel-smp-misc-shfs

%description -n kernel-fs-shfs
SHell File System Linux kernel module.

%description -n kernel-smp-fs-shfs -l pl
Modu jdra Linuksa obsugujcy powokowy system plikw.

%prep
%setup -q
%patch -p1

%build
%if %{with kernel}
cd shfs/Linux-2.6
rm -rf built
mkdir built
for cfg in %{?with_dist_kernel:%{?with_smp:smp} up}%{!?with_dist_kernel:nondist}; do
    if [ ! -r "%{_kernelsrcdir}/config-$cfg" ]; then
	exit 1
    fi
    %{__make} -C %{_kernelsrcdir} mrproper \
	SUBDIRS=$PWD \
	O=$PWD \
	RCS_FIND_IGNORE="-name built"
	%{?with_verbose:V=1}
    rm -rf include
    install -d include/{linux,config}
    ln -sf %{_kernelsrcdir}/config-$cfg .config
    ln -sf %{_kernelsrcdir}/include/linux/autoconf-${cfg}.h include/linux/autoconf.h
    touch include/config/MARKER
    echo "obj-m := shfs.o" > Makefile
    echo "shfs-objs := dcache.o dir.o fcache.o file.o inode.o ioctl.o proc.o shell.o symlink.o" >> Makefile
    %{__make} -C %{_kernelsrcdir} modules \
	SUBDIRS=$PWD \
	O=$PWD \
	%{?with_verbose:V=1}
    mv shfs.ko built/shfs-$cfg.ko
done
cd -
%endif

%if %{with userspace}
%{__make} -C shfsmount \
	CC="%{__cc}" \
	OPT="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%{__make} docs
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}{,smp}/kernel/fs/shfs

%if %{with kernel}
cd shfs/Linux-2.6/built
install shfs-%{?with_dist_kernel:up}%{!?with_dist_kernel:nondist}.ko \
	$RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/kernel/fs/shfs/shfs.ko
cd -
%endif

%if %{with smp} && %{with kernel}
cd shfs/Linux-2.6/built
install shfs-smp.ko \
	$RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/kernel/fs/shfs/shfs.ko
cd -
%endif

%if %{with userspace}
%{__make} utils-install docs-install \
	ROOT=$RPM_BUILD_ROOT \
	MAN_PAGE_DIR=%{_mandir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel-fs-shfs
%depmod %{_kernel_ver}

%postun	-n kernel-fs-shfs
%depmod %{_kernel_ver}

%post	-n kernel-smp-fs-shfs
%depmod %{_kernel_ver}smp

%postun -n kernel-smp-fs-shfs
%depmod %{_kernel_ver}smp

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc COPYRIGHT Changelog TODO docs/html
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) /sbin/*
%{_mandir}/man8/*
%endif

%if %{with kernel}
%files -n kernel-fs-shfs
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/kernel/fs/shfs/*.ko*

%if %{with smp} && %{with dist_files}
%files -n kernel-smp-fs-shfs
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/kernel/fs/shfs/*.ko*
%endif
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: shfs.spec,v $
Revision 1.15.2.1  2004/05/09 20:34:39  blues
- reversed kernel bcond

Revision 1.15  2004/05/09 20:20:03  blues
- remove nested ifs.

Revision 1.14  2004/04/29 18:27:20  pluto
- 2.6.5 fixes.

Revision 1.13  2004/04/06 17:07:27  qboosh
- don't require kernel in userspace package; added _without_userspace

Revision 1.12  2004/04/06 11:54:23  pluto
- updated to 0.33.

Revision 1.11  2003/12/19 17:49:44  eothane
- %bcond_with new_bconds
- changed dl.sf.net to dl.sourceforge.net (SourceN:)

Revision 1.10  2003/11/04 19:52:20  wolf
- 0.32

Revision 1.9  2003/10/31 17:59:33  wolf
- pre2

Revision 1.8  2003/08/12 17:42:02  qboosh
- base Obsoletes: shfsmount

Revision 1.7  2003/08/12 14:49:33  qboosh
- added opt patch, merged modules building from kernel-misc-shfs.spec

Revision 1.6  2003/08/11 21:18:49  ankry
- cosmetics

Revision 1.5  2003/08/11 20:27:06  serek
- next steps.

Revision 1.4  2003/08/09 19:44:24  serek
- man pages in.

Revision 1.3  2003/08/09 19:35:40  serek
- kernel module out.

Revision 1.2  2003/08/09 16:23:56  ankry
- adapterized

Revision 1.1  2003/08/09 15:51:36  serek
- neu - todo: to follow kernel version...
